LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux From Scratch (http://www.linuxquestions.org/questions/linux-from-scratch-13/)
-   -   libbonobo dependency problem (http://www.linuxquestions.org/questions/linux-from-scratch-13/libbonobo-dependency-problem-917867/)

devilboy09 12-09-2011 05:34 AM

libbonobo dependency problem
 
according to the book the dependencied for this package are :

D-Bus GLib Bindings-0.88
intltool-0.41.1
libxml2-2.7.8
ORBit2-2.14.19
popt-1.16

i installed this packages, but when i want to make libbonobo package i'm getting this dependency error :
Code:

No packages 'libgnomecanvas-2.0' found
No package 'libbonobo-2.0' found
No package 'libgnome-2.0' found
No package 'bonobo-activation-2.0' found
No package 'gconf-2.0' found
No package 'gtk+-2.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you installed software in a non-standard prefix.

Alternatively, you may set the environment variable BONOBOUI_CFLAGS and BONOBOUI_LIBS to avoid the need to call pkg-config.

BTW : i'm installing gnome in /usr directory

spiky0011 12-09-2011 12:45 PM

Dis you setup the pre installation
http://www.linuxfromscratch.org/blfs...ll-config.html

devilboy09 12-09-2011 01:55 PM

i just executed the first command( export GNOME_PREFIX=/usr ). because i want to install it, not try it

druuna 12-09-2011 04:40 PM

Hi,

It seems you are using the libbonoboui-2.24.3 package and are using the libbonobo-2.24.3 chapter to build it......
Quote:

No packages 'libgnomecanvas-2.0' found
No package 'libbonobo-2.0' found
No package 'libgnome-2.0' found
No package 'bonobo-activation-2.0' found
No package 'gconf-2.0' found
No package 'gtk+-2.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you installed software in a non-standard prefix.

Alternatively, you may set the environment variable BONOBOUI_CFLAGS and BONOBOUI_LIBS to avoid the need to call pkg-config.
Also look at the packages that aren't found, all (indirect) dependencies for libbonoboui and not libbonobo.

Hope this helps.

devilboy09 12-09-2011 05:04 PM

the download link in book was wrong !!!
thank u, guys

druuna 12-09-2011 05:16 PM

Hi,
Quote:

Originally Posted by devilboy09 (Post 4546203)
the download link in book was wrong !!!

Links for both packages work for me (using the BLFS online book: libbonobo and libbonoboui)

Quote:

thank u, guys
Glad to see you got this solved.


All times are GMT -5. The time now is 07:48 AM.